package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
import io.accumulatenetwork.sdk.protocol.Url;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("DirectoryQuery")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DirectoryQuery implements RPCBody {
	private Url url;
	private long start;
	private long count;
	private boolean expand;
	private long height;
	private boolean scratch;
	private boolean prove;

    //
	public Url getUrl() {
	    return url;
	}
	public void setUrl(final Url value) {
	    this.url = value;
	}

	public DirectoryQuery url(final Url value) {
	    setUrl(value);
	    return this;
	}
	public DirectoryQuery url(final String value) {
	    setUrl(Url.toAccURL(value));
	    return this;
	}
	public long getStart() {
	    return start;
	}
	public void setStart(final long value) {
	    this.start = value;
	}

	public DirectoryQuery start(final long value) {
	    setStart(value);
	    return this;
	}
	public long getCount() {
	    return count;
	}
	public void setCount(final long value) {
	    this.count = value;
	}

	public DirectoryQuery count(final long value) {
	    setCount(value);
	    return this;
	}
	public boolean getExpand() {
	    return expand;
	}
	public void setExpand(final boolean value) {
	    this.expand = value;
	}

	public DirectoryQuery expand(final boolean value) {
	    setExpand(value);
	    return this;
	}
	public long getHeight() {
	    return height;
	}
	public void setHeight(final long value) {
	    this.height = value;
	}

	public DirectoryQuery height(final long value) {
	    setHeight(value);
	    return this;
	}
	public boolean getScratch() {
	    return scratch;
	}
	public void setScratch(final boolean value) {
	    this.scratch = value;
	}

	public DirectoryQuery scratch(final boolean value) {
	    setScratch(value);
	    return this;
	}
	public boolean getProve() {
	    return prove;
	}
	public void setProve(final boolean value) {
	    this.prove = value;
	}

	public DirectoryQuery prove(final boolean value) {
	    setProve(value);
	    return this;
	}
}
